# myapp/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.admin_login, name='admin_login'),
    path('admin_dashboard/', views.admin_dashboard, name='admin_dashboard'),
    path('admin_logout/', views.admin_logout, name='admin_logout'),
    path('main/', views.main, name='main'),
    path('miniapp_users/', views.miniapp_users, name='miniapp_users'),
    path('wechat_users/', views.wechat_users, name='wechat_users'),
    path('other_sources/', views.other_sources, name='other_sources'),
    path('site_admins/', views.site_admins, name='site_admins'),
    path('video_extraction_records/', views.video_extraction_records, name='video_extraction_records'),
    path('copy_extraction_records/', views.copy_extraction_records, name='copy_extraction_records'),
    path('ai_api_usage/', views.ai_api_usage, name='ai_api_usage'),
    path('website_settings/', views.website_settings, name='website_settings'),
    path('miniapp_settings/', views.miniapp_settings, name='miniapp_settings'),
    path('copywriting_library/', views.copywriting_library, name='copywriting_library'),
    path('article_records/', views.article_records, name='article_records'),
    path('material_library/', views.material_library, name='material_library'),
    path('delete-similar-texts/', views.delete_similar_texts_view, name='delete_similar_texts'),
    path('redemption-cards/', views.redemption_card_list, name='redemption_card_list'),
    path('membership-types/', views.membership_type_list, name='membership_type_list'),
    path('transaction-logs/', views.transaction_log_list, name='transaction_log_list'),

]
